/**
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

( function( $ ) {

	// Theme prefix
	var prefix = 'fashionchic-',
	    api    = wp.customize;

	/**
	 * Live preview site title & site description
	 */
	api( 'blogname', function( value ) {
		value.bind( function( to ) {
			$( '.site-title a' ).text( to );
		} );
	} );
	api( 'blogdescription', function( value ) {
		value.bind( function( to ) {
			$( '.tagline' ).text( to );
		} );
	} );

	// Top bar background color
	api( prefix + 'topbar-bg-color', function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#ffdfdd';
			$( '.site-header .site-top' ).css( 'background-color', to );
		} );
	} );

	// Header background color
	api( prefix + 'header-bg-color', function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#ffffff';
			$( '.site-header .site-branding' ).css( 'background-color', to );
		} );
	} );

	// Menu background color
	api( prefix + 'menu-bg-color', function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#ffffff';
			$( '.site-header .site-navigation' ).css( 'background-color', to );
		} );
	} );

	// Instagram background color
	api( prefix + 'instagram-bg-color', function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#000000';
			$( '.site-footer .footer-widget' ).css( 'background-color', to );
		} );
	} );

	// Footer background color
	api( prefix + 'footer-bg-color', function( value ) {
		value.bind( function( to ) {
			to = to ? to : '#efefef';
			$( '.site-footer .footer-copyright' ).css( 'background-color', to );
		} );
	} );

} )( jQuery );
